### Hierarchy

- PlaceholderService

## Index

### Properties

- viewContainerMap
- viewContainerRef

### Methods

- appendElement
- createComponent
- destroyComponent
- hasComponentRef
- hasElement
- hasPlaceholderRef
- registerViewContainerRef
- removeElement

## Properties

### Protected viewContainerMap

viewContainerMap: Map<any, ViewContainerRef> = new Map()

- Defined in src/placeholder/placeholder.service.ts:22

### Protected viewContainerRef

viewContainerRef: ViewContainerRef = null

- Defined in src/placeholder/placeholder.service.ts:18

## Methods

### appendElement

- appendElement(element: HTMLElement, id: any): HTMLElement

- - Defined in src/placeholder/placeholder.service.ts:71

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional id: any

  #### Returns HTMLElement

### createComponent

- createComponent(componentFactory: ComponentFactory<any>, injector: Injector, id: any): ComponentRef<any>

- - Defined in src/placeholder/placeholder.service.ts:37

  #### Parameters

  - ##### componentFactory: ComponentFactory<any>

  - ##### injector: Injector

  - ##### Optional id: any

  #### Returns ComponentRef<any>

### destroyComponent

- destroyComponent(component: ComponentRef<any>): void

- - Defined in src/placeholder/placeholder.service.ts:52

  #### Parameters

  - ##### component: ComponentRef<any>

  #### Returns void

### hasComponentRef

- hasComponentRef(component: ComponentRef<any>, id: any): boolean

- - Defined in src/placeholder/placeholder.service.ts:56

  #### Parameters

  - ##### component: ComponentRef<any>

  - ##### Optional id: any

  #### Returns boolean

### hasElement

- hasElement(element: HTMLElement, id: any): boolean

- - Defined in src/placeholder/placeholder.service.ts:85

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional id: any

  #### Returns boolean

### hasPlaceholderRef

- hasPlaceholderRef(id: any): boolean

- - Defined in src/placeholder/placeholder.service.ts:64

  #### Parameters

  - ##### Optional id: any

  #### Returns boolean

### registerViewContainerRef

- registerViewContainerRef(vcRef: ViewContainerRef, id: any): void

- - Defined in src/placeholder/placeholder.service.ts:26

  #### Parameters

  - ##### vcRef: ViewContainerRef

  - ##### Optional id: any

  #### Returns void

### removeElement

- removeElement(element: HTMLElement, id: any): HTMLElement

- - Defined in src/placeholder/placeholder.service.ts:78

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional id: any

  #### Returns HTMLElement

Generated using TypeDoc